"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultCheckboxTokens = void 0;
const theme_tokens_1 = require("@fluentui-react-native/theme-tokens");
// No Tokens for Sizes , hovered and circular checkbox as they're not supported for Android Platform
const defaultCheckboxTokens = (t) => ({
    requiredColor: theme_tokens_1.globalTokens.color.darkRed.primary,
    requiredPadding: theme_tokens_1.globalTokens.size20,
    checkboxBorderWidth: theme_tokens_1.globalTokens.stroke.width15,
    checkboxBorderRadius: theme_tokens_1.globalTokens.corner.radius40,
    checkboxSize: theme_tokens_1.globalTokens.size200,
    checkmarkSize: theme_tokens_1.globalTokens.size120,
    rippleColor: '#D4D4D4',
    label: {
        // Tokens taken from Android List Item
        color: t.colors.neutralForeground1,
        padding: theme_tokens_1.globalTokens.size20,
        spacingLabelAfter: theme_tokens_1.globalTokens.size160,
        labelIsBefore: {
            spacingLabelBefore: theme_tokens_1.globalTokens.size120,
            spacingLabelAfter: 0,
        },
    },
    pressed: {
        checkboxBackgroundColor: t.colors.neutralBackground1Pressed,
    },
    padding: theme_tokens_1.globalTokens.size20,
    variant: 'body1',
    checkboxBorderColor: t.colors.neutralStrokeAccessible,
    checkmarkOpacity: 0,
    disabled: {
        checkboxBorderColor: t.colors.neutralStrokeDisabled,
        color: t.colors.neutralForegroundDisabled1,
    },
    checked: {
        checkboxBackgroundColor: t.colors.brandBackground,
        checkmarkOpacity: 1,
        checkboxBorderWidth: theme_tokens_1.globalTokens.stroke.widthNone,
        checkmarkColor: t.colors.neutralForegroundOnColor,
        disabled: {
            checkboxBackgroundColor: t.colors.brandBackgroundDisabled,
        },
    },
});
exports.defaultCheckboxTokens = defaultCheckboxTokens;
//# sourceMappingURL=CheckboxTokens.android.js.map