"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultCheckboxTokens = void 0;
const theme_tokens_1 = require("@fluentui-react-native/theme-tokens");
const defaultCheckboxTokens = (t) => ({
    requiredColor: t.colors.redForeground1,
    requiredPadding: theme_tokens_1.globalTokens.size80,
    medium: {
        borderRadius: theme_tokens_1.globalTokens.corner.radius20,
        checkboxBorderWidth: theme_tokens_1.globalTokens.stroke.width10,
        checkboxBorderRadius: theme_tokens_1.globalTokens.corner.radius20,
        checkboxSize: 16,
        checkmarkSize: 12,
        label: {
            padding: theme_tokens_1.globalTokens.size80,
            borderRadius: theme_tokens_1.globalTokens.corner.radius40,
            spacingLabelAfter: theme_tokens_1.globalTokens.size120,
            labelIsBefore: {
                spacingLabelBefore: theme_tokens_1.globalTokens.size120,
                spacingLabelAfter: 0,
            },
        },
        padding: theme_tokens_1.globalTokens.size40,
        variant: 'bodyStandard',
    },
    large: {
        borderRadius: theme_tokens_1.globalTokens.corner.radius20,
        checkboxBorderWidth: theme_tokens_1.globalTokens.stroke.width10,
        checkboxBorderRadius: theme_tokens_1.globalTokens.corner.radius20,
        checkboxSize: 20,
        checkmarkSize: 16,
        label: {
            padding: theme_tokens_1.globalTokens.size80,
            borderRadius: theme_tokens_1.globalTokens.corner.radius40,
            spacingLabelAfter: theme_tokens_1.globalTokens.size120,
            labelIsBefore: {
                spacingLabelBefore: theme_tokens_1.globalTokens.size120,
                spacingLabelAfter: 0,
            },
        },
        padding: theme_tokens_1.globalTokens.size40,
        variant: 'bodyStandard',
    },
    checkboxBackgroundColor: t.colors.menuBackground,
    checkboxBorderColor: t.colors.menuItemText,
    checkmarkColor: t.colors.menuItemTextHovered,
    checkmarkOpacity: 0,
    color: t.colors.menuItemText,
    disabled: {
        checkboxBorderColor: t.colors.buttonBorderDisabled,
        color: t.colors.disabledBodyText,
        checkboxBackgroundColor: t.colors.background,
        checkmarkColor: t.colors.neutralForegroundDisabled,
    },
    hovered: {
        checkboxBackgroundColor: t.colors.menuItemBackgroundHovered,
    },
    focused: {
        checkboxBackgroundColor: t.colors.menuItemBackgroundHovered,
        borderColor: t.colors.focusBorder,
    },
    pressed: {
        checkboxBackgroundColor: t.colors.menuItemBackgroundPressed,
    },
    checked: {
        checkmarkOpacity: 1,
    },
    circular: {
        borderRadius: theme_tokens_1.globalTokens.corner.radiusCircular,
        checkboxBorderRadius: theme_tokens_1.globalTokens.corner.radiusCircular,
    },
});
exports.defaultCheckboxTokens = defaultCheckboxTokens;
//# sourceMappingURL=CheckboxTokens.js.map