"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultCheckboxTokens = void 0;
const theme_tokens_1 = require("@fluentui-react-native/theme-tokens");
const defaultCheckboxTokens = (t) => ({
    requiredColor: t.colors.redForeground1,
    requiredPadding: theme_tokens_1.globalTokens.size80,
    medium: {
        borderRadius: theme_tokens_1.globalTokens.corner.radius20,
        checkboxBorderWidth: theme_tokens_1.globalTokens.stroke.width10,
        checkboxBorderRadius: theme_tokens_1.globalTokens.corner.radius20,
        checkboxSize: 16,
        checkmarkSize: 12,
        label: {
            padding: theme_tokens_1.globalTokens.size80,
            paddingHorizontal: theme_tokens_1.globalTokens.size120,
            borderRadius: theme_tokens_1.globalTokens.corner.radius40,
            spacingLabelAfter: theme_tokens_1.globalTokens.size80,
            labelIsBefore: {
                spacingLabelBefore: theme_tokens_1.globalTokens.size80,
                spacingLabelAfter: 0,
            },
        },
        padding: theme_tokens_1.globalTokens.size40,
        fontSize: theme_tokens_1.globalTokens.font.size200,
        fontWeight: theme_tokens_1.globalTokens.font.weight.regular,
        fontFamily: t.typography.families.primary,
    },
    large: {
        borderRadius: theme_tokens_1.globalTokens.corner.radius20,
        checkboxBorderWidth: theme_tokens_1.globalTokens.stroke.width10,
        checkboxBorderRadius: theme_tokens_1.globalTokens.corner.radius20,
        checkboxSize: 20,
        checkmarkSize: 16,
        label: {
            padding: theme_tokens_1.globalTokens.size80,
            borderRadius: theme_tokens_1.globalTokens.corner.radius40,
            spacingLabelAfter: theme_tokens_1.globalTokens.size120,
            labelIsBefore: {
                spacingLabelBefore: theme_tokens_1.globalTokens.size120,
                spacingLabelAfter: 0,
            },
        },
        padding: theme_tokens_1.globalTokens.size40,
        fontSize: theme_tokens_1.globalTokens.font.size300,
        fontWeight: theme_tokens_1.globalTokens.font.weight.regular,
        fontFamily: t.typography.families.primary,
    },
    checkboxBackgroundColor: t.colors.neutralBackground1,
    checkboxBorderColor: t.colors.neutralStrokeAccessible,
    color: t.colors.neutralForeground1,
    checkmarkOpacity: 0,
    disabled: {
        checkboxBorderColor: t.colors.neutralStrokeDisabled,
        color: t.colors.neutralForegroundDisabled,
        checkboxBackgroundColor: t.colors.neutralBackgroundDisabled,
    },
    hovered: {
        checkboxBackgroundColor: t.colors.neutralBackground1,
        checkboxBorderColor: t.colors.neutralStrokeAccessibleHover,
        checkmarkColor: t.colors.neutralForeground4,
        checkmarkOpacity: 1,
        color: t.colors.neutralForeground1,
        checked: {
            checkboxBackgroundColor: t.colors.brandBackgroundHover,
            checkboxBorderColor: t.colors.compoundBrandStroke1Hover,
            checkmarkColor: t.colors.neutralForegroundOnBrandHover,
        },
    },
    pressed: {
        checkboxBackgroundColor: t.colors.neutralBackground1,
        checkboxBorderColor: t.colors.neutralStrokeAccessiblePressed,
        checkmarkColor: t.colors.neutralForeground1,
        checkmarkOpacity: 1,
        color: t.colors.neutralForeground1,
        checked: {
            checkboxBackgroundColor: t.colors.brandBackgroundPressed,
            checkboxBorderColor: t.colors.compoundBrandStroke1Pressed,
            checkmarkColor: t.colors.neutralForegroundOnBrandPressed,
        },
    },
    checked: {
        checkboxBackgroundColor: t.colors.brandBackground,
        checkboxBorderColor: t.colors.compoundBrandStroke1Hover,
        checkmarkOpacity: 1,
        checkmarkColor: t.colors.neutralForegroundOnBrand,
        disabled: {
            checkmarkColor: t.colors.neutralForegroundDisabled,
        },
    },
    circular: {
        borderRadius: theme_tokens_1.globalTokens.corner.radiusCircular,
        checkboxBorderRadius: theme_tokens_1.globalTokens.corner.radiusCircular,
    },
});
exports.defaultCheckboxTokens = defaultCheckboxTokens;
//# sourceMappingURL=CheckboxTokens.win32.js.map