"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultCheckboxTokens = void 0;
const theme_tokens_1 = require("@fluentui-react-native/theme-tokens");
const defaultCheckboxTokens = (t) => ({
    requiredColor: t.colors.redForeground1,
    requiredPadding: theme_tokens_1.globalTokens.size80,
    medium: {
        borderRadius: theme_tokens_1.globalTokens.corner.radius20,
        checkboxBorderWidth: theme_tokens_1.globalTokens.stroke.width10,
        checkboxBorderRadius: theme_tokens_1.globalTokens.corner.radius20,
        checkboxSize: 16,
        checkmarkSize: 8,
        spacingLabelAfter: theme_tokens_1.globalTokens.size120,
        label: {
            padding: theme_tokens_1.globalTokens.size80,
            borderRadius: theme_tokens_1.globalTokens.corner.radius40,
            spacingLabelAfter: theme_tokens_1.globalTokens.size120,
            labelIsBefore: {
                spacingLabelBefore: theme_tokens_1.globalTokens.size120,
                spacingLabelAfter: 0,
            },
        },
        padding: theme_tokens_1.globalTokens.size40,
        variant: 'bodyStandard',
    },
    large: {
        borderRadius: theme_tokens_1.globalTokens.corner.radius20,
        checkboxBorderWidth: theme_tokens_1.globalTokens.stroke.width10,
        checkboxBorderRadius: theme_tokens_1.globalTokens.corner.radius20,
        checkboxSize: 20,
        checkmarkSize: 10,
        spacingLabelAfter: theme_tokens_1.globalTokens.size120,
        label: {
            padding: theme_tokens_1.globalTokens.size80,
            borderRadius: theme_tokens_1.globalTokens.corner.radius40,
            spacingLabelAfter: theme_tokens_1.globalTokens.size120,
            labelIsBefore: {
                spacingLabelBefore: theme_tokens_1.globalTokens.size120,
                spacingLabelAfter: 0,
            },
        },
        padding: theme_tokens_1.globalTokens.size40,
        variant: 'bodyStandard',
    },
    checkboxBackgroundColor: t.colors.neutralBackground1,
    checkboxBorderColor: t.colors.neutralStrokeAccessible,
    color: t.colors.neutralForeground3,
    checkmarkOpacity: 0,
    disabled: {
        checkboxBorderColor: t.colors.neutralStrokeDisabled,
        color: t.colors.neutralForegroundDisabled,
        checkboxBackgroundColor: t.colors.neutralBackgroundDisabled,
    },
    hovered: {
        checkboxBackgroundColor: t.colors.neutralBackground1,
        checkboxBorderColor: t.colors.neutralStrokeAccessibleHover,
        color: t.colors.neutralForeground2,
        checked: {
            checkboxBackgroundColor: t.colors.compoundBrandBackground1Hover,
            checkboxBorderColor: t.colors.compoundBrandBackground1Hover,
            checkmarkColor: t.colors.neutralForegroundOnBrand,
            checkmarkOpacity: 1,
        },
    },
    pressed: {
        checkboxBackgroundColor: t.colors.neutralBackground1,
        checkboxBorderColor: t.colors.neutralStrokeAccessiblePressed,
        color: t.colors.neutralForeground1,
        checked: {
            checkboxBackgroundColor: t.colors.compoundBrandBackground1Pressed,
            checkboxBorderColor: t.colors.compoundBrandBackground1Pressed,
            checkmarkColor: t.colors.neutralForegroundOnBrand,
            checkmarkOpacity: 1,
        },
    },
    checked: {
        checkboxBackgroundColor: t.colors.compoundBrandBackground1,
        checkboxBorderColor: t.colors.compoundBrandBackground1,
        checkmarkOpacity: 1,
        checkmarkColor: t.colors.neutralForegroundOnBrand,
        disabled: {
            checkmarkColor: t.colors.neutralForegroundDisabled,
        },
    },
    circular: {
        borderRadius: theme_tokens_1.globalTokens.corner.radiusCircular,
        checkboxBorderRadius: theme_tokens_1.globalTokens.corner.radiusCircular,
    },
});
exports.defaultCheckboxTokens = defaultCheckboxTokens;
//# sourceMappingURL=CheckboxTokens.windows.js.map