"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = __importStar(require("react"));
const react_native_1 = require("react-native");
const react_native_svg_1 = require("react-native-svg");
const renderer = __importStar(require("react-test-renderer"));
const Checkbox_1 = require("../Checkbox");
function onChange(_e, isChecked) {
    console.log(isChecked);
}
describe('Checkbox component tests', () => {
    it('Checkbox default', () => {
        const tree = renderer.create(React.createElement(Checkbox_1.Checkbox, { label: "Default Checkbox", onChange: onChange, defaultChecked: false })).toJSON();
        expect(tree).toMatchSnapshot();
    });
    it('Checkbox no label', () => {
        const tree = renderer.create(React.createElement(Checkbox_1.Checkbox, { onChange: onChange, defaultChecked: false })).toJSON();
        expect(tree).toMatchSnapshot();
    });
    it('Checkbox all props', () => {
        const tree = renderer
            .create(React.createElement(Checkbox_1.Checkbox, { label: "All Props Checkbox", onChange: onChange, defaultChecked: true, labelPosition: "before", disabled: true, shape: "circular", size: "large", required: true }))
            .toJSON();
        expect(tree).toMatchSnapshot();
    });
    it('Checkbox all tokens', () => {
        const BoldCheckbox = Checkbox_1.Checkbox.customize({
            fontFamily: 'Wingdings',
            fontWeight: '900',
            fontSize: 20,
            checkboxBackgroundColor: 'blue',
            checkboxBorderColor: 'red',
            checkboxBorderRadius: 5,
            checkboxBorderWidth: 2,
            checkboxSize: 11,
            checkmarkColor: 'pink',
            checkmarkOpacity: 0.7,
            checkmarkSize: 7,
            backgroundColor: 'purple',
            color: 'yellow',
            spacingLabelAfter: 7,
            spacingLabelBefore: 9,
            borderColor: 'green',
            borderRadius: 4,
            borderWidth: 2,
        });
        const tree = renderer.create(React.createElement(BoldCheckbox, { label: "All Tokens Checkbox", onChange: onChange, defaultChecked: false })).toJSON();
        expect(tree).toMatchSnapshot();
    });
    it('Checkbox composed', () => {
        const ComposedCheckbox = Checkbox_1.Checkbox.compose({
            slots: {
                root: react_native_1.View,
                checkbox: react_native_1.View,
                checkmark: react_native_svg_1.Svg,
                label: react_native_1.Text,
                required: react_native_1.Text,
            },
        });
        const tree = renderer.create(React.createElement(ComposedCheckbox, { label: "Composed Button with RNText" })).toJSON();
        expect(tree).toMatchSnapshot();
    });
});
//# sourceMappingURL=Checkbox.test.js.map