"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Checkbox = void 0;
/** @jsxRuntime classic */
/** @jsx withSlots */
const React = __importStar(require("react"));
const react_native_1 = require("react-native");
const adapters_1 = require("@fluentui-react-native/adapters");
const interactive_hooks_1 = require("@fluentui-react-native/interactive-hooks");
const text_1 = require("@fluentui-react-native/text");
const tokens_1 = require("@fluentui-react-native/tokens");
const tokens_2 = require("@fluentui-react-native/tokens");
const foundation_composable_1 = require("@uifabricshared/foundation-composable");
const foundation_compose_1 = require("@uifabricshared/foundation-compose");
const foundation_settings_1 = require("@uifabricshared/foundation-settings");
const Checkbox_settings_1 = require("./Checkbox.settings");
const Checkbox_types_1 = require("./Checkbox.types");
/**
 * @deprecated This will be removed when the package moves to 1.0.0.
 * Please see MIGRATION.md for details on how to move to the new Checkbox.
 */
exports.Checkbox = (0, foundation_compose_1.compose)({
    displayName: Checkbox_types_1.checkboxName,
    usePrepareProps: (userProps, useStyling) => {
        const defaultComponentRef = React.useRef(null);
        const { accessible, accessibilityLabel, accessibilityRole, ariaLabel, checked, defaultChecked, boxSide, label, onChange, componentRef = defaultComponentRef, focusable, ...rest } = userProps;
        // Warns defaultChecked and checked being mutually exclusive.
        if (defaultChecked != undefined && checked != undefined) {
            console.warn('defaultChecked and checked are mutually exclusive to one another. Use one or the other.');
        }
        // Re-usable hook for toggle components.
        const [isChecked, toggleChecked] = (0, interactive_hooks_1.useAsToggle)(defaultChecked, checked, onChange);
        // Ensure focus is placed on checkbox after click
        const toggleCheckedWithFocus = (0, interactive_hooks_1.useOnPressWithFocus)(componentRef, toggleChecked);
        const pressable = (0, interactive_hooks_1.useAsPressable)({ onPress: toggleCheckedWithFocus, ...rest });
        const buttonRef = (0, interactive_hooks_1.useViewCommandFocus)(componentRef);
        // Handles the "Space" key toggling the Checkbox
        const onKeyProps = (0, interactive_hooks_1.useKeyProps)(toggleChecked, ' ');
        const state = {
            ...pressable.state,
            disabled: !!userProps.disabled,
            checked: isChecked,
            boxAtEnd: boxSide == undefined || boxSide == 'start' ? false : true,
        };
        // Grab the styling information from the userProps, referencing the state as well as the props.
        const styleProps = useStyling(userProps, (override) => state[override] || userProps[override]);
        // Used when creating accessibility properties in mergeSettings below
        const onAccessibilityAction = React.useCallback((event) => {
            switch (event.nativeEvent.actionName) {
                case 'Toggle':
                    toggleChecked();
                    break;
            }
        }, [toggleChecked, userProps, state, pressable.props]);
        const slotProps = (0, foundation_settings_1.mergeSettings)(styleProps, {
            root: {
                rest,
                ref: buttonRef,
                ...pressable.props,
                accessible: accessible ?? true,
                accessibilityRole: accessibilityRole ?? 'checkbox',
                accessibilityLabel: accessibilityLabel ?? label,
                accessibilityState: { disabled: state.disabled, checked: state.checked },
                accessibilityActions: [{ name: 'Toggle', label: Checkbox_settings_1.checkboxSelectActionLabel }],
                focusable: focusable ?? !state.disabled,
                onAccessibilityAction: onAccessibilityAction,
                enableFocusRing: false,
                ...onKeyProps,
            },
            // Temporary checkmark until SVG functionality
            checkmark: { children: '✓' },
            content: { children: label },
        });
        return { slotProps, state };
    },
    render: (Slots, renderData, ...children) => {
        return ((0, foundation_composable_1.withSlots)(Slots.root, null,
            renderData?.state.boxAtEnd && (0, foundation_composable_1.withSlots)(Slots.content, null),
            (0, foundation_composable_1.withSlots)(Slots.checkbox, null,
                (0, foundation_composable_1.withSlots)(Slots.checkmark, null)),
            !renderData?.state.boxAtEnd && (0, foundation_composable_1.withSlots)(Slots.content, null),
            children));
    },
    settings: Checkbox_settings_1.settings,
    slots: {
        root: react_native_1.View,
        checkbox: { slotType: react_native_1.View, filter: adapters_1.filterViewProps },
        checkmark: text_1.Text,
        content: text_1.Text,
    },
    styles: {
        root: [],
        checkbox: [
            tokens_2.backgroundColorTokens,
            tokens_1.borderTokens,
            [
                { source: 'checkboxBackgroundColor', lookup: tokens_1.getPaletteFromTheme, target: 'backgroundColor' },
                { source: 'checkboxBorderColor', lookup: tokens_1.getPaletteFromTheme, target: 'borderColor' },
            ],
        ],
        checkmark: [
            tokens_1.foregroundColorTokens,
            [
                { source: 'checkmarkColor', lookup: tokens_1.getPaletteFromTheme, target: 'color' },
                { source: 'checkmarkVisibility', target: 'opacity' },
            ],
        ],
        content: [tokens_1.foregroundColorTokens, tokens_1.textTokens, [{ source: 'textBorderColor', lookup: tokens_1.getPaletteFromTheme, target: 'borderColor' }]],
    },
});
exports.default = exports.Checkbox;
//# sourceMappingURL=Checkbox.js.map