import { globalTokens } from '@fluentui-react-native/theme-tokens';
export const defaultCheckboxTokens = (t) => ({
    requiredColor: globalTokens.color.darkRed.primary,
    requiredPadding: globalTokens.size20,
    checkboxBorderWidth: globalTokens.stroke.width10,
    checkboxBorderRadius: globalTokens.corner.radiusCircular,
    checkboxSize: globalTokens.size200,
    checkmarkSize: globalTokens.size120,
    label: {
        // Tokens taken from Android List Item
        color: t.colors.neutralForeground1,
        padding: globalTokens.size20,
        spacingLabelAfter: globalTokens.size160,
        labelIsBefore: {
            spacingLabelBefore: globalTokens.size120,
            spacingLabelAfter: 0,
        },
    },
    pressed: {
        checkboxBackgroundColor: t.colors.neutralBackground1Pressed,
    },
    padding: globalTokens.size20,
    variant: 'body1',
    checkboxBorderColor: t.colors.neutralStrokeAccessible,
    checkmarkOpacity: 0,
    disabled: {
        checkboxBorderColor: t.colors.neutralStrokeDisabled,
        color: t.colors.neutralForegroundDisabled1,
    },
    checked: {
        checkboxBackgroundColor: t.colors.brandBackground,
        checkmarkOpacity: 1,
        checkboxBorderWidth: globalTokens.stroke.widthNone,
        checkmarkColor: t.colors.neutralForegroundOnColor,
        disabled: {
            checkboxBackgroundColor: t.colors.brandBackgroundDisabled,
        },
    },
});
//# sourceMappingURL=CheckboxTokens.ios.js.map